package com.bsoft.admin.controller;

import com.bsoft.admin.common.Result;
import com.bsoft.admin.common.annotations.CurrentUser;
import com.bsoft.admin.common.annotations.Token;
import com.bsoft.admin.model.SysMenu;
import com.bsoft.admin.model.SysRole;
import com.bsoft.admin.model.reqmodel.MenuReq;
import com.bsoft.admin.model.reqmodel.RoleReq;
import com.bsoft.admin.service.SysMenuService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

@Api(tags = "菜单API",produces="produces",consumes="consumes",protocols="protocols")
@RequestMapping("/menu")
@RestController
public class MenuController {
    @Autowired
    private SysMenuService sysMenuService;

    @PostMapping("all")
    @Token
    @ApiOperation("查询菜单列表")
    public Object getAll(@RequestBody MenuReq.GetMenuReq menu)throws Exception{
        List<SysMenu> list = sysMenuService.getAll(menu);
        return Result.success(list);
    }

    @PostMapping("info")
    @Token
    @ApiOperation("查询菜单详细信息")
    public Object getById(@RequestBody MenuReq.InfoMenuReq menu)throws Exception{
        SysMenu info = sysMenuService.info(menu);
        return Result.success(info);
    }

    @PostMapping("add")
    @Token
    @ApiOperation("添加菜单")
    public Object addUser(@ApiIgnore @CurrentUser Long userId, @RequestBody MenuReq.AddMenuReq menu)throws Exception{
        boolean result = sysMenuService.addMenu(userId,menu);
        if(result)
            return Result.success(null);
        else
            return Result.error();
    }

    @PostMapping("delete")
    @Token
    @ApiOperation("删除菜单")
    public Object addUser(@RequestBody MenuReq.DeleteMenuReq menu)throws Exception{
        boolean result = sysMenuService.deleteMenu(menu);
        if(result)
            return Result.success(null);
        else
            return Result.error();
    }

    @PostMapping("update")
    @Token
    @ApiOperation("修改菜单")
    public Object addUser(@RequestBody MenuReq.UpdateMenuReq menu)throws Exception{
        boolean result = sysMenuService.updateMenu(menu);
        if(result)
            return Result.success(null);
        else
            return Result.error();
    }
}
