package com.bsoft.admin.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class MenuReq {
    public static class GetMenuReq{
        @ApiModelProperty(value="菜单名称")
        private String menuName;

        public String getMenuName() {
            return menuName;
        }

        public void setMenuName(String menuName) {
            this.menuName = menuName;
        }

        @Override
        public String toString() {
            return "GetMenuReq{" +
                    "menuName='" + menuName + '\'' +
                    '}';
        }
    }

    public static class InfoMenuReq{
        @ApiModelProperty(value="菜单ID",required = true)
        @NotNull(message = "菜单ID 参数必传")
        private Long menuId;

        public Long getMenuId() {
            return menuId;
        }

        public void setMenuId(Long menuId) {
            this.menuId = menuId;
        }

        @Override
        public String toString() {
            return "InfoMenuReq{" +
                    "menuId=" + menuId +
                    '}';
        }
    }

    public static class AddMenuReq{
        @ApiModelProperty(value="菜单名称",required = true)
        @NotNull(message = "菜单名称 参数必传")
        private String menuName;

        @ApiModelProperty(value="菜单路径",required = true)
        private String menuUrl;

        @ApiModelProperty(value="菜单图片",required = true)
        private String menuImage;

        @ApiModelProperty(value="父级关系",required = true)
        @NotNull(message = "父级关系 参数必传")
        private Long parentId;

        @ApiModelProperty(value="页面编码",required = true)
        private String pageCode;

        public String getMenuName() {
            return menuName;
        }

        public void setMenuName(String menuName) {
            this.menuName = menuName;
        }

        public String getMenuUrl() {
            return menuUrl;
        }

        public void setMenuUrl(String menuUrl) {
            this.menuUrl = menuUrl;
        }

        public String getMenuImage() {
            return menuImage;
        }

        public void setMenuImage(String menuImage) {
            this.menuImage = menuImage;
        }

        public Long getParentId() {
            return parentId;
        }

        public void setParentId(Long parentId) {
            this.parentId = parentId;
        }

        public String getPageCode() {
            return pageCode;
        }

        public void setPageCode(String pageCode) {
            this.pageCode = pageCode;
        }

        @Override
        public String toString() {
            return "AddMenuReq{" +
                    "menuName='" + menuName + '\'' +
                    ", menuUrl='" + menuUrl + '\'' +
                    ", menuImage='" + menuImage + '\'' +
                    ", parentId=" + parentId +
                    ", pageCode='" + pageCode + '\'' +
                    '}';
        }
    }

    public static class DeleteMenuReq{
        @ApiModelProperty(value="菜单ID",required = true)
        @NotNull(message = "菜单ID 参数必传")
        private Long menuId;

        public Long getMenuId() {
            return menuId;
        }

        public void setMenuId(Long menuId) {
            this.menuId = menuId;
        }

        @Override
        public String toString() {
            return "InfoMenuReq{" +
                    "menuId=" + menuId +
                    '}';
        }
    }

    public static class UpdateMenuReq{
        @ApiModelProperty(value="菜单ID",required = true)
        @NotNull(message = "菜单ID 参数必传")
        private Long menuId;

        @ApiModelProperty(value="菜单名称",required = true)
        @NotNull(message = "菜单名称 参数必传")
        private String menuName;

        @ApiModelProperty(value="菜单路径",required = true)
        private String menuUrl;

        @ApiModelProperty(value="菜单图片",required = true)
        private String menuImage;

        @ApiModelProperty(value="父级关系",required = true)
        @NotNull(message = "父级关系 参数必传")
        private Long parentId;

        @ApiModelProperty(value="页面编码",required = true)
        private String pageCode;

        public Long getMenuId() {
            return menuId;
        }

        public void setMenuId(Long menuId) {
            this.menuId = menuId;
        }

        public String getMenuName() {
            return menuName;
        }

        public void setMenuName(String menuName) {
            this.menuName = menuName;
        }

        public String getMenuUrl() {
            return menuUrl;
        }

        public void setMenuUrl(String menuUrl) {
            this.menuUrl = menuUrl;
        }

        public String getMenuImage() {
            return menuImage;
        }

        public void setMenuImage(String menuImage) {
            this.menuImage = menuImage;
        }

        public Long getParentId() {
            return parentId;
        }

        public void setParentId(Long parentId) {
            this.parentId = parentId;
        }

        public String getPageCode() {
            return pageCode;
        }

        public void setPageCode(String pageCode) {
            this.pageCode = pageCode;
        }

        @Override
        public String toString() {
            return "UpdateMenuReq{" +
                    "menuId=" + menuId +
                    ", menuName='" + menuName + '\'' +
                    ", menuUrl='" + menuUrl + '\'' +
                    ", menuImage='" + menuImage + '\'' +
                    ", parentId=" + parentId +
                    ", pageCode='" + pageCode + '\'' +
                    '}';
        }
    }


}
